# Uses of Class
javajs.util.V3

Packages that use V3
Package
Description
com.sparshui.common
javajs.api
javajs.util
org.jmol.adapter.smarter
org.jmol.api
org.jmol.export
org.jmol.jvxl.api
org.jmol.jvxl.calc
org.jmol.jvxl.data
org.jmol.jvxl.readers
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.navigate
org.jmol.quantum
org.jmol.render
org.jmol.renderbio
org.jmol.renderspecial
org.jmol.script
org.jmol.shape
org.jmol.shapebio
org.jmol.shapespecial
org.jmol.shapesurface
org.jmol.symmetry
org.jmol.util
org.jmol.viewer
org.openscience.jvxl.simplewriter

## Uses of V3 in com.sparshui.common

Methods in com.sparshui.common that return V3
Modifier and Type
Method
Description
`V3`
Location.`getVector(Location location)`

## Uses of V3 in javajs.api

Methods in javajs.api with parameters of type V3
Modifier and Type
Method
Description
`void`
EigenInterface.`fillFloatArrays(V3[] eigenVectors, float[] eigenValues)`

## Uses of V3 in javajs.util

Fields in javajs.util declared as V3
Modifier and Type
Field
Description
`static final V3`
Measure.`axisY`
Methods in javajs.util that return V3
Modifier and Type
Method
Description
`V3`
Quat.`get3dProjection(V3 v3d)`
`V3`
Quat.`getNormal()`
`V3`
Quat.`getNormalDirected(V3 v0)`
`V3`
Quat.`getVector(int i)`
`V3`
Quat.`getVectorScaled(int i, float scale)`
`static V3`
V3.`new3(float x, float y, float z)`
`static V3`
V3.`newV(T3 t)`
`static V3`
V3.`newVsub(T3 t1, T3 t2)`
Methods in javajs.util with parameters of type V3
Modifier and Type
Method
Description
`final float`
V3.`angle(V3 v1)`
Returns the angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].
`static void`
Measure.`calcBestAxisThroughPoints(P3[] points, int nPoints, P3 axisA, V3 axisUnitVector, V3 vectorProjection, int nTriesMax)`
`static float`
Measure.`computeAngle(T3 pointA, T3 pointB, T3 pointC, V3 vectorBA, V3 vectorBC, boolean asDegrees)`
`static float`
Measure.`distanceToPlaneV(V3 norm, float w, P3 pt)`
`void`
Eigen.`fillFloatArrays(V3[] eigenVectors, float[] eigenValues)`
Specifically for 3x3 systems, returns eigenVectors as V3[3] and values as float[3]; sorted from smallest to largest value.
`static float`
Measure.`findAxis(P3[] points, int nPoints, P3 axisA, V3 axisUnitVector, V3 vectorProjection)`
`V3`
Quat.`get3dProjection(V3 v3d)`
`static void`
Measure.`getBisectingPlane(P3 pointA, V3 vAB, T3 ptTemp, V3 vTemp, P4 plane)`
`static float`
Measure.`getDirectedNormalThroughPoints(T3 pointA, T3 pointB, T3 pointC, T3 ptRef, V3 vNorm, V3 vAB)`
`static P3`
Measure.`getIntersection(P3 pt1, V3 v, P4 plane, P3 ptRet, V3 tempNorm, V3 vTemp)`
Calculate the intersection of a line with a plane.
`V3`
Quat.`getNormalDirected(V3 v0)`
`static boolean`
Measure.`getNormalFromCenter(P3 ptCenter, P3 ptA, P3 ptB, P3 ptC, boolean isOutward, V3 normal, V3 vTemp)`
`static void`
Measure.`getNormalToLine(P3 pointA, P3 pointB, V3 vNormNorm)`
`static float`
Measure.`getPlaneProjection(T3 pt, P4 plane, T3 retPtProj, V3 retNorm)`
Project a point onto a plane, also returning the normal vector and the directed distance to the plane.
`static void`
Measure.`getPlaneThroughPoint(T3 pt, V3 normal, P4 plane)`
`static P4`
Measure.`getPlaneThroughPoints(T3 pointA, T3 pointB, T3 pointC, V3 vNorm, V3 vAB, P4 plane)`
`static P3[]`
Measure.`getProjectedLineSegment(P3[] points, int nPoints, P3 ptA, V3 unitVector, V3 vTemp)`
`static final Quat`
Quat.`getQuaternionFrameV(V3 vA, V3 vB, V3 vC, boolean yBased)`
Create a quaternion based on a frame
`float`
Quat.`getThetaDirectedV(V3 vector)`
`static boolean`
Measure.`isInTetrahedron(P3 pt, P3 ptA, P3 ptB, P3 ptC, P3 ptD, P4 plane, V3 vTemp, V3 vTemp2, boolean fullyEnclosed)`
`static boolean`
Measure.`isInTriangle(P3 p, P3 a, P3 b, P3 c, V3 v0, V3 v1, V3 v2)`
`static A4`
A4.`newVA(V3 axis, float angle)`
Constructs and initializes an AxisAngle4f from the specified axis and angle.
`static float`
Measure.`projectOntoAxis(P3 pt, P3 ptA, V3 axisUnitVector, V3 vectorProjection)`
project point onto a line containing ptA and having axis unitVector axisUnitVector, returning the result in point and a vector from ptA to pt in vectorProjection
`final void`
A4.`setVA(V3 axis, float angle)`
Sets the value of this AxisAngle4f to the specified axis and angle.

## Uses of V3 in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as V3
Modifier and Type
Field
Description
`V3`
Atom.`vib`
Methods in org.jmol.adapter.smarter that return V3
Modifier and Type
Method
Description
`V3`
AtomSetCollection.`addVibrationVector(int iatom, float x, float y, float z)`
`protected V3[]`
AtomSetCollectionReader.`read3Vectors(boolean isBohr)`
read three vectors, as for unit cube definitions allows for non-numeric data preceding the number block
`V3[]`
XtalSymmetry.FileSymmetry.`rotateAxes(int iop, V3[] axes, P3 ptTemp, M3 mTemp)`
Methods in org.jmol.adapter.smarter with parameters of type V3
Modifier and Type
Method
Description
`V3[]`
XtalSymmetry.FileSymmetry.`rotateAxes(int iop, V3[] axes, P3 ptTemp, M3 mTemp)`

## Uses of V3 in org.jmol.api

Methods in org.jmol.api that return V3
Modifier and Type
Method
Description
`abstract V3`
JmolViewer.`getBoundBoxCornerVector()`
`V3`
JmolModulationSet.`getV3()`
`V3`
JmolAdapterAtomIterator.`getVib()`
Methods in org.jmol.api with parameters of type V3
Modifier and Type
Method
Description
`float`
JmolNMRInterface.`getDipolarCouplingHz(Atom a1, Atom a2, V3 vField)`
`void`
JmolNavigatorInterface.`navigateAxis(V3 rotAxis, float degrees)`

## Uses of V3 in org.jmol.export

Fields in org.jmol.export declared as V3
Modifier and Type
Field
Description
`protected V3`
___Exporter.`lightSource`
`protected final V3`
___Exporter.`tempV1`
`protected final V3`
___Exporter.`tempV2`

## Uses of V3 in org.jmol.jvxl.api

Methods in org.jmol.jvxl.api with parameters of type V3
Modifier and Type
Method
Description
`int`
VertexDataServer.`getSurfacePointIndexAndFraction(float cutoff, boolean isCutoffAbsolute, int x, int y, int z, P3i offset, int vertexA, int vertexB, float valueA, float valueB, T3 pointA, V3 edgeVector, boolean isContourType, float[] fReturn)`
getSurfacePointIndex is used by the Marching Cubes algorithm and must return a unique integer identifier for a vertex created by the Marching Cube algorithm when it finds an edge.

## Uses of V3 in org.jmol.jvxl.calc

Fields in org.jmol.jvxl.calc declared as V3
Modifier and Type
Field
Description
`protected static final V3[]`
MarchingCubes.`cubeVertexVectors`
`protected final V3[]`
MarchingCubes.`edgeVectors`
`protected final V3[]`
MarchingCubes.`voxelVertexVectors`

## Uses of V3 in org.jmol.jvxl.data

Fields in org.jmol.jvxl.data declared as V3
Modifier and Type
Field
Description
`V3[]`
VolumeData.`oabc`
`final V3[]`
VolumeData.`unitVolumetricVectors`
`final V3[]`
VolumeData.`volumetricVectors`
Methods in org.jmol.jvxl.data with parameters of type V3
Modifier and Type
Method
Description
`void`
VolumeData.`transform(V3 v1, V3 v2)`

## Uses of V3 in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as V3
Modifier and Type
Field
Description
`protected V3[]`
SurfaceReader.`volumetricVectors`
Methods in org.jmol.jvxl.readers that return V3
Modifier and Type
Method
Description
`V3[]`
SurfaceGenerator.`getOriginVaVbVc()`
Methods in org.jmol.jvxl.readers with parameters of type V3
Modifier and Type
Method
Description
`protected float`
SurfaceReader.`getSPF(float cutoff, boolean isCutoffAbsolute, float valueA, float valueB, T3 pointA, V3 edgeVector, int x, int y, int z, int vA, int vB, float[] fReturn, T3 ptReturn)`
`protected float`
JvxlXmlReader.`getSurfacePointAndFraction(float cutoff, boolean isCutoffAbsolute, float valueA, float valueB, T3 pointA, V3 edgeVector, int x, int y, int z, int vA, int vB, float[] fReturn, T3 ptReturn)`
`protected float`
SurfaceReader.`getSurfacePointAndFraction(float cutoff, boolean isCutoffAbsolute, float valueA, float valueB, T3 pointA, V3 edgeVector, int x, int y, int z, int vA, int vB, float[] fReturn, T3 ptReturn)`
`int`
SurfaceReader.`getSurfacePointIndexAndFraction(float cutoff, boolean isCutoffAbsolute, int x, int y, int z, P3i offset, int vA, int vB, float valueA, float valueB, T3 pointA, V3 edgeVector, boolean isContourType, float[] fReturn)`

## Uses of V3 in org.jmol.modelset

Fields in org.jmol.modelset declared as V3
Modifier and Type
Field
Description
`protected V3`
BondCollection.`v1`
`protected V3`
BondCollection.`v2`
Methods in org.jmol.modelset that return V3
Modifier and Type
Method
Description
`V3`
ModelSet.`calculateMolecularDipole(int modelIndex, BS bsAtoms)`
`V3`
ModelSet.`getBoundBoxCornerVector()`
`V3`
ModelSet.`getModelDipole(int modelIndex)`
Methods in org.jmol.modelset with parameters of type V3
Modifier and Type
Method
Description
`Atom`
ModelSet.`addAtom(int modelIndex, Group group, int atomicAndIsotopeNumber, String atomName, String atomType, int atomSerial, int atomSeqID, int atomSite, P3 xyz, float radius, V3 vib, int formalCharge, float partialCharge, float occupancy, float bfactor, Lst<Object> tensors, boolean isHetero, boolean isNegDisorder, byte specialAtomID, BS atomSymmetry, float bondRadius)`
`String`
AtomCollection.`getHybridizationAndAxes(int atomIndex, int atomicNumber, V3 z, V3 x, String lcaoTypeRaw, boolean hybridizationCompatible, boolean doAlignZ, boolean isQuick, T3 ref)`
`void`
ModelSet.`moveAtoms(M4 m4, M3 mNew, M3 rotation, V3 translation, BS bs, P3 center, boolean isInternal, boolean translationOnly)`

## Uses of V3 in org.jmol.modelsetbio

Fields in org.jmol.modelsetbio declared as V3
Modifier and Type
Field
Description
`protected V3`
ProteinStructure.`axisUnitVector`
`protected V3`
ProteinStructure.`vectorProjection`
`protected V3[]`
BioPolymer.`wingVectors`
Methods in org.jmol.modelsetbio that return V3
Modifier and Type
Method
Description
`final V3[]`
BioPolymer.`getWingVectors()`
Methods in org.jmol.modelsetbio with parameters of type V3
Modifier and Type
Method
Description
`protected P3`
AlphaPolymer.`getControlPoint(int i, V3 v)`
`protected P3`
BioPolymer.`getControlPoint(int i, V3 v)`
`boolean`
AminoMonomer.`getNHPoint(P3 aminoHydrogenPoint, V3 vNH, boolean jmolHPoint, boolean dsspIgnoreHydrogens)`
`void`
Sheet.`setBox(float w, float h, P3 pt, V3 vW, V3 vH, P3 ptC, float scale)`

## Uses of V3 in org.jmol.navigate

Methods in org.jmol.navigate with parameters of type V3
Modifier and Type
Method
Description
`void`
Navigator.`navigateAxis(V3 rotAxis, float degrees)`

## Uses of V3 in org.jmol.quantum

Methods in org.jmol.quantum with parameters of type V3
Modifier and Type
Method
Description
`float`
NMRCalculation.`getDipolarCouplingHz(Atom a1, Atom a2, V3 vField)`

## Uses of V3 in org.jmol.render

Fields in org.jmol.render declared as V3
Modifier and Type
Field
Description
`protected V3[]`
MeshRenderer.`transformedVectors`
`protected final V3`
FontLineShapeRenderer.`vectorT`
`protected final V3`
FontLineShapeRenderer.`vectorT2`
`protected final V3`
FontLineShapeRenderer.`vectorT3`

## Uses of V3 in org.jmol.renderbio

Fields in org.jmol.renderbio declared as V3
Modifier and Type
Field
Description
`protected V3[]`
BioShapeRenderer.`wingVectors`
`protected V3[]`
BioShapeRenderer.`wingVectors`
`protected V3[]`
BioShapeRenderer.`wingVectors`
`protected V3[]`
BioShapeRenderer.`wingVectors`
`protected V3[]`
BioShapeRenderer.`wingVectors`
`protected V3[]`
BioShapeRenderer.`wingVectors`
`protected V3[]`
BioShapeRenderer.`wingVectors`

## Uses of V3 in org.jmol.renderspecial

Fields in org.jmol.renderspecial declared as V3
Modifier and Type
Field
Description
`protected final V3`
DrawRenderer.`vTemp`
`protected final V3`
DrawRenderer.`vTemp2`

## Uses of V3 in org.jmol.script

Methods in org.jmol.script with parameters of type V3
Modifier and Type
Method
Description
`protected P4`
ScriptEval.`getPlaneForObject(String id, V3 vAB)`

## Uses of V3 in org.jmol.shape

Fields in org.jmol.shape declared as V3
Modifier and Type
Field
Description
`V3`
Mesh.`vAB`
`V3`
Mesh.`vTemp`
Methods in org.jmol.shape that return V3
Modifier and Type
Method
Description
`V3[]`
Mesh.`getNormals(T3[] vertices, P4 plane)`
`V3[]`
Mesh.`getNormalsTemp()`
Methods in org.jmol.shape with parameters of type V3
Modifier and Type
Method
Description
`short[]`
Mesh.`setNormixes(V3[] normals)`
`protected void`
Mesh.`sumVertexNormals(T3[] vertices, V3[] normals)`
`protected static void`
Mesh.`sumVertexNormals2(Mesh m, T3[] vertices, V3[] normals)`

## Uses of V3 in org.jmol.shapebio

Fields in org.jmol.shapebio declared as V3
Modifier and Type
Field
Description
`V3[]`
BioShape.`wingVectors`

## Uses of V3 in org.jmol.shapespecial

Fields in org.jmol.shapespecial declared as V3
Modifier and Type
Field
Description
`V3`
Dipole.`vector`
Methods in org.jmol.shapespecial with parameters of type V3
Modifier and Type
Method
Description
`static void`
Ellipsoid.`getEquationForQuadricWithCenter(float x, float y, float z, M3 mToElliptical, V3 vTemp, M3 mTemp, double[] coef, M4 mDeriv)`

## Uses of V3 in org.jmol.shapesurface

Methods in org.jmol.shapesurface with parameters of type V3
Modifier and Type
Method
Description
`int`
Isosurface.`getSurfacePointIndexAndFraction(float cutoff, boolean isCutoffAbsolute, int x, int y, int z, P3i offset, int vA, int vB, float valueA, float valueB, T3 pointA, V3 edgeVector, boolean isContourType, float[] fReturn)`
////////// VertexDataServer interface methods ////////////////
`protected void`
IsosurfaceMesh.`sumVertexNormals(T3[] vertices, V3[] vectorSums)`

## Uses of V3 in org.jmol.symmetry

Fields in org.jmol.symmetry declared as V3
Modifier and Type
Field
Description
`protected V3`
CIPData.`vNorm`
`protected V3`
CIPData.`vTemp`
Methods in org.jmol.symmetry that return V3
Modifier and Type
Method
Description
`V3`
SymmetryOperation.`getOpAxis()`
`V3`
SymmetryOperation.`getOpTrans()`
`V3[]`
SymmetryOperation.`rotateAxes(V3[] vectors, UnitCell unitcell, P3 ptTemp, M3 mTemp)`
Methods in org.jmol.symmetry with parameters of type V3
Modifier and Type
Method
Description
`static void`
SymmetryOperation.`normalize12ths(V3 vtrans)`
`V3[]`
SymmetryOperation.`rotateAxes(V3[] vectors, UnitCell unitcell, P3 ptTemp, M3 mTemp)`

## Uses of V3 in org.jmol.util

Subclasses of V3 in org.jmol.util
Modifier and Type
Class
Description
`class`
`ModulationSet`
A class to group a set of modulations for an atom as a "vibration" Extends V3 so that it will be a displacement, and its value will be an occupancy
`class`
`Vibration`
A class to allow for more complex vibrations and associated phenomena, such as modulated crystals.
Fields in org.jmol.util declared as V3
Modifier and Type
Field
Description
`V3[]`
Tensor.`eigenVectors`
`V3`
ModulationSet.`mxyz`
the modulated magnetic spin
`V3[]`
MeshSurface.`normalsTemp`
`V3[]`
MeshSurface.`oabc`
`protected V3[]`
GData.`transformedVectors`
`V3`
Vibration.`v0`
Methods in org.jmol.util that return V3
Modifier and Type
Method
Description
`V3`
BoxInfo.`getBoundBoxCornerVector()`
`V3`
GData.`getLightSource()`
`V3[]`
GData.`getTransformedVertexVectors()`
`V3`
ModulationSet.`getV3()`
`static V3`
Geodesic.`getVertexVector(int i)`
`static V3[]`
Geodesic.`getVertexVectors()`
`static V3[]`
Normix.`getVertexVectors()`
Methods in org.jmol.util with parameters of type V3
Modifier and Type
Method
Description
`static void`
SimpleUnitCell.`fillParams(V3 va, V3 vb, V3 vc, float[] p)`
`static short`
Normix.`get2SidedNormix(V3 v, BS bsTemp)`
`static short`
Normix.`getNormixV(V3 v, BS bsTemp)`
`P3[]`
Triangulator.`intersectLine(P3[] points, int nPoints, P3 ptA, V3 unitVector)`
`Tensor`
Tensor.`setFromAxes(V3[] axes)`
Standard constructor for ellipsoids based on axes

## Uses of V3 in org.jmol.viewer

Fields in org.jmol.viewer declared as V3
Modifier and Type
Field
Description
`static final V3`
JC.`axisNX`
`static final V3`
JC.`axisNY`
`static final V3`
JC.`axisNZ`
`static final V3`
JC.`axisX`
`static final V3`
JC.`axisY`
`static final V3`
JC.`axisZ`
`static final V3`
JC.`center`
`protected V3`
TransformManager.`internalTranslation`
`static final V3[]`
JC.`unitAxisVectors`
`protected final V3`
TransformManager.`vectorTemp`
Methods in org.jmol.viewer that return V3
Modifier and Type
Method
Description
`V3`
Viewer.`calculateMolecularDipole(BS bsAtoms)`
`V3`
Viewer.`getBoundBoxCornerVector()`
`V3`
Viewer.`getModelDipole()`
Methods in org.jmol.viewer with parameters of type V3
Modifier and Type
Method
Description
`String`
Viewer.`getHybridizationAndAxes(int atomIndex, V3 z, V3 x, String lcaoType)`
`boolean`
TransformManager.`isInPosition(V3 axis, float degrees)`
`void`
Viewer.`move(JmolScriptEvaluator eval, V3 dRot, float dZoom, V3 dTrans, float dSlab, float floatSecondsTotal, int fps)`
`void`
Viewer.`moveAtoms(M4 m4, M3 mNew, M3 rotation, V3 translation, P3 center, boolean isInternal, BS bsAtoms, boolean translationOnly, boolean useModelKit)`
`void`
Viewer.`moveTo(JmolScriptEvaluator eval, float floatSecondsTotal, P3 center, V3 rotAxis, float degrees, M3 rotationMatrix, float zoom, float xTrans, float yTrans, float rotationRadius, P3 navCenter, float xNav, float yNav, float navDepth, float cameraDepth, float cameraX, float cameraY)`
`void`
TransformManager.`navigateAxis(V3 rotAxis, float degrees)`
scripted entry point for navigation
`void`
Viewer.`navigateAxis(V3 rotAxis, float degrees)`
`boolean`
Viewer.`rotateAboutPointsInternal(JmolScriptEvaluator eval, P3 point1, P3 point2, float degreesPerSecond, float endDegrees, boolean isSpin, BS bsSelected, V3 translation, Lst<P3> finalPoints, float[] dihedralList, M3 vectorMatrix, M4 m4, boolean useModelKit, P3[][] centerAndPoints)`
`void`
TransformManager.`rotateAxisAngle(V3 rotAxis, float radians)`
`boolean`
Viewer.`rotateAxisAngleAtCenter(JmolScriptEvaluator eval, P3 rotCenter, V3 rotAxis, float degreesPerSecond, float endDegrees, boolean isSpin, BS bsSelected)`

## Uses of V3 in org.openscience.jvxl.simplewriter

Methods in org.openscience.jvxl.simplewriter with parameters of type V3
Modifier and Type
Method
Description
`protected int`
SimpleMarchingCubes.`newVertex(P3 pointA, V3 edgeVector, float f)`